Changeset 115072 for trunk/dports/aqua


Ignore:
Timestamp:
Dec 23, 2013, 7:22:39 PM (6 years ago)
Author:
jwa@…
Message:

pgAdmin3: version bump to 1.18.1, drop postgresql83 due to EOL, make postgresql93 the new default to enable the latest version

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/aqua/pgAdmin3/Portfile

    r113329 r115072  
    66
    77name                pgAdmin3
    8 version             1.18.0
    9 revision            1
     8version             1.18.1
    109
    1110categories          aqua
     
    2827distname            pgadmin3-${version}
    2928
    30 checksums           rmd160  0f3a117c4f48abc8a61f2e652bdff4ebe4eb5a59 \
    31                     sha256  58f29f5a380a49065e4b97bd9c8effd12ae99f464fa8834ba403baa2a658278d
     29checksums           rmd160  03a55056c98d7c1458019a505078c512f425f7e0 \
     30                    sha256  27ac3e296a6ca3da9da8ee22ed98eabfe1377be507877ffc26048fc2a9c6cbc0
    3231
    3332wxWidgets.use       wxWidgets-3.0
     
    6059}
    6160
    62 variant postgresql83 conflicts postgresql84 postgresql90 postgresql91 postgresql92 \
    63     description {support for PostgreSQL 8.3.x} {
    64     depends_lib-append      port:postgresql83
    65     configure.args-append   --with-pgsql=${prefix}/lib/postgresql83
    66 }
    67 
    68 variant postgresql84 conflicts postgresql83 postgresql90 postgresql91 postgresql92 \
     61variant postgresql84 conflicts postgresql90 postgresql91 postgresql92 postgresql93 \
    6962    description {support for PostgreSQL 8.4.x} {
    7063    depends_lib-append      port:postgresql84
     
    7265}
    7366
    74 variant postgresql90 conflicts postgresql83 postgresql84 postgresql91 postgresql92 \
     67variant postgresql90 conflicts postgresql84 postgresql91 postgresql92 postgresql93 \
    7568    description {support for PostgreSQL 9.0.x} {
    7669    depends_lib-append      port:postgresql90
     
    7871}
    7972
    80 variant postgresql91 conflicts postgresql83 postgresql84 postgresql90 postgresql92 \
     73variant postgresql91 conflicts postgresql84 postgresql90 postgresql92 postgresql93 \
    8174    description {support for PostgreSQL 9.1.x} {
    8275    depends_lib-append      port:postgresql91
     
    8477}
    8578
    86 variant postgresql92 conflicts postgresql83 postgresql84 postgresql90 postgresql91 \
     79variant postgresql92 conflicts postgresql84 postgresql90 postgresql91 postgresql93 \
    8780    description {support for PostgreSQL 9.2.x} {
    8881    depends_lib-append      port:postgresql92
     
    9083}
    9184
    92 if {![variant_isset postgresql83] && ![variant_isset postgresql84] && ![variant_isset postgresql90] && ![variant_isset postgresql91] && ![variant_isset postgresql92]} {
    93     default_variants        +postgresql92
     85variant postgresql93 conflicts postgresql84 postgresql90 postgresql91 postgresql92 \
     86    description {support for PostgreSQL 9.3.x} {
     87    depends_lib-append      port:postgresql93
     88    configure.args-append   --with-pgsql=${prefix}/lib/postgresql93
     89}
     90
     91if {![variant_isset postgresql84] && ![variant_isset postgresql90] && ![variant_isset postgresql91] && ![variant_isset postgresql92]  && ![variant_isset postgresql93]} {
     92    default_variants        +postgresql93
    9493}
    9594
Note: See TracChangeset for help on using the changeset viewer.